Skip to main content
GET
Get subscription ARR history

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

limit
number
default:50

Maximum number of items to return (1-100).

Required range: x <= 100
Example:

50

cursor
string

Opaque cursor returned in the previous response's next_cursor. Omit to fetch the first page.

occurred_at__gte
string<date-time>

Return evolutions that occurred at or after this UTC date and time.

Example:

"2026-01-01T00:00:00Z"

occurred_at__lte
string<date-time>

Return evolutions that occurred at or before this UTC date and time.

Example:

"2026-12-31T23:59:59Z"

Response

data
object[]
required

List of ArrHistoryEntry.

next_cursor
string | null
required

Cursor to fetch the next page. null when there are no more items.

Example:

null

has_more
boolean
required

Whether more items are available after this page.

Example:

false

total
number

Total number of items matching the filters. Only present when include_total=true was passed.

Example:

1